Add media to variant
post
/v1/products/{product_id}/variants/{variant_id}/mediaAdd media (image, video, etc.) to a product variant.
Example
curl -X POST "https://api.ya.onl/v1/products/{product_id}/variants/{variant_id}/media" \
-H "X-API-Key: yv_live_v1_…" \
-H "Content-Type: application/json" \
-d '{"url":"…"}'Parameters
product_idintegerpathProduct identifier
variant_idintegerpathVariant identifier
Request body
titlestring | nullMedia title or alt text
urlstringPublic URL of the media file
Responses
201Successful Response
401Invalid or missing API key
403API key lacks the
products:write scope404Variant not found
422Validation Error
429Rate limit exceeded
